<?xml version="1.0" encoding="ASCII"?>
<pogoDsl:PogoSystem xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:pogoDsl="http://tango.org/pogo/PogoDsl">
  <classes name="Daresbury" pogoRevision="9.9">
    <description description="Handle PSS crate hardware" title="Daresbury" sourcePath="/mnt/multipath-shares/segfs/tango/cppserver/safety/Daresbury/src" language="Cpp" filestogenerate="XMI   file,Code files,CMakeLists,Protected Regions" license="GPL" hasMandatoryProperty="false" hasConcreteProperty="true" hasAbstractCommand="false" hasAbstractAttribute="false">
      <inheritances classname="Device_Impl" sourcePath=""/>
      <identification contact="at esrf.fr - pons" author="pons" emailDomain="esrf.fr" classFamily="Security" siteSpecific="" platform="Unix Like" bus="Not Applicable" manufacturer="ESRF" reference="REL1_0"/>
    </description>
    <classProperties name="SMSDevice" description="Name of the SMS device">
      <type xsi:type="pogoDsl:StringType"/>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </classProperties>
    <classProperties name="SMSPhoneNumber" description="">
      <type xsi:type="pogoDsl:StringType"/>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </classProperties>
    <classProperties name="MailDest" description="List of mail adress">
      <type xsi:type="pogoDsl:StringVectorType"/>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </classProperties>
    <deviceProperties name="Serial_line" description="Name of the serial line device">
      <type xsi:type="pogoDsl:StringType"/>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </deviceProperties>
    <deviceProperties name="Init_pscom" description="Flag to force reinitialisation (This is needed on certain old daresbury board)&#xA;Default is 0 => no initialisation">
      <type xsi:type="pogoDsl:ShortType"/>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </deviceProperties>
    <commands name="State" description="This command gets the device state (stored in its device_state data member) and returns it to the caller." execMethod="dev_state" displayLevel="OPERATOR" polledPeriod="1000" isDynamic="false">
      <argin description="none">
        <type xsi:type="pogoDsl:VoidType"/>
      </argin>
      <argout description="Device state">
        <type xsi:type="pogoDsl:StateType"/>
      </argout>
      <status abstract="true" inherited="true" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="Status" description="This command gets the device status (stored in its device_status data member) and returns it to the caller." execMethod="dev_status" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="none">
        <type xsi:type="pogoDsl:VoidType"/>
      </argin>
      <argout description="Device status">
        <type xsi:type="pogoDsl:ConstStringType"/>
      </argout>
      <status abstract="true" inherited="true" concrete="true"/>
    </commands>
    <commands name="DevRead" description="Returns the response of the PSS hardware." execMethod="dev_read" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="">
        <type xsi:type="pogoDsl:VoidType"/>
      </argin>
      <argout description="Serial line response">
        <type xsi:type="pogoDsl:StringType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="GetAllDescription" description="" execMethod="get_all_description" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="">
        <type xsi:type="pogoDsl:VoidType"/>
      </argin>
      <argout description="List of interlock description">
        <type xsi:type="pogoDsl:StringArrayType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="GetHistoryInfo" description="Returns a list of known logs." execMethod="get_history_info" displayLevel="OPERATOR" polledPeriod="0" isDynamic="false">
      <argin description="">
        <type xsi:type="pogoDsl:VoidType"/>
      </argin>
      <argout description="Return a list of interlock logs [date,reason]">
        <type xsi:type="pogoDsl:LongStringArrayType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="GetInterlockDescription" description="" execMethod="get_interlock_description" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="List of Interlock addresses : [Word address,Bit address]*">
        <type xsi:type="pogoDsl:IntArrayType"/>
      </argin>
      <argout description="Interlock descrition string array">
        <type xsi:type="pogoDsl:StringArrayType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="GetInterlockState" description="" execMethod="get_interlock_state" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="List of Interlock addresses : [Word address,Bit address]*">
        <type xsi:type="pogoDsl:IntArrayType"/>
      </argin>
      <argout description="List of interlock state">
        <type xsi:type="pogoDsl:CharArrayType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="ReadInterlockHistory" description="Returns the states of the interlock set of the specified log" execMethod="read_interlock_history" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="Log time , see GetHistoryInfo">
        <type xsi:type="pogoDsl:IntType"/>
      </argin>
      <argout description="Array of interlock">
        <type xsi:type="pogoDsl:ShortArrayType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="Reset" description="Reset the interlock system." execMethod="reset" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="">
        <type xsi:type="pogoDsl:VoidType"/>
      </argin>
      <argout description="">
        <type xsi:type="pogoDsl:VoidType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="SetInterlockDescription" description="Sets the descripton of the specified interlock." execMethod="set_interlock_description" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="argin[0]=Word address&#xA;argin[1]=Bit address&#xA;argin[2]=Interlock description">
        <type xsi:type="pogoDsl:StringArrayType"/>
      </argin>
      <argout description="">
        <type xsi:type="pogoDsl:VoidType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="EnableSMS" description="Enable SMS alarm for the specified interlock." execMethod="enable_sms" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="argin[0]=Word address&#xA;argin[1]=Bit address">
        <type xsi:type="pogoDsl:IntArrayType"/>
      </argin>
      <argout description="">
        <type xsi:type="pogoDsl:VoidType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="DisableSMS" description="Disable SMS alarm for the specified interlock." execMethod="disable_sms" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="argin[0]=Word address&#xA;argin[1]=Bit address">
        <type xsi:type="pogoDsl:IntArrayType"/>
      </argin>
      <argout description="">
        <type xsi:type="pogoDsl:VoidType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <commands name="GetSMS" description="" execMethod="get_sms" displayLevel="OPERATOR" polledPeriod="0">
      <argin description="argin[0]=Word address&#xA;argin[1]=Bit address">
        <type xsi:type="pogoDsl:IntArrayType"/>
      </argin>
      <argout description="true if the SMS alarm is enabled for this interlock, false otherwise.">
        <type xsi:type="pogoDsl:BooleanType"/>
      </argout>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
    </commands>
    <attributes name="Interlocks" attType="Spectrum" rwType="READ" displayLevel="OPERATOR" polledPeriod="0" maxX="1024" maxY="" allocReadMember="true" isDynamic="false">
      <dataType xsi:type="pogoDsl:ShortType"/>
      <changeEvent fire="false" libCheckCriteria="false"/>
      <archiveEvent fire="false" libCheckCriteria="false"/>
      <dataReadyEvent fire="false" libCheckCriteria="true"/>
      <status abstract="false" inherited="false" concrete="true" concreteHere="true"/>
      <properties description="" label="" unit="" standardUnit="" displayUnit="" format="" maxValue="" minValue="" maxAlarm="" minAlarm="" maxWarning="" minWarning="" deltaTime="" deltaValue=""/>
    </attributes>
    <preferences docHome="./doc_html" makefileHome="/segfs/tango/cppserver/env"/>
    <additionalFiles name="MailSender" path="/mntdirect/_segfs/tango/cppserver/safety/Daresbury/src/MailSender.cpp"/>
  </classes>
</pogoDsl:PogoSystem>
